perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Beau E. Cox" <b...@beaucox.com>
Subject Re: Getting help for MasonX::Apache2Handler
Date Fri, 16 Apr 2004 06:03:19 GMT
On Thursday 15 April 2004 03:58 pm, you wrote:
> Beau,
>
> Thanks for this great module you have written.  I look forward to
> getting it fully functional :)
>
> I built mp2 with MP_INST_APACHE2=1.  Apache::Cookie 2.02-dev is not
> found during perl Makefile.PL so maybe this is a specific problem with
> my installation.  I hope I am not wasting your time here.  Any
> suggestions appreciated.
>
> Fred
>
>
> Problem synopsis:
>
> 1) Making
> forbin:~/.cpan/build/MasonX-Apache2Handler-0.05 fredmoyer$ perl
> Makefile.PL
> -----------------------------------------------------------
>      MasonX::Apache2Handler is an EXPERIMENTAL BETA RELEASE!
>         Please install and use it only on a test system.
>      (But it really, really works! The brave-hearted can use
>                      it in production.)
>                        Aloha => Beau;
> -----------------------------------------------------------
> Warning: prerequisite Apache::Cookie 2.02-dev not found.
> Warning: prerequisite Apache::Request 2.02-dev not found.
> Warning: prerequisite mod_perl 1.991 not found.
> Writing Makefile for MasonX::Apache2Handler
>
> 2) Meanwhile in my cpan build directory:
>
> forbin:~/dev/perl/lib/site_perl fredmoyer$ find . -name 'Cookie.pm'
> ./5.8.3/darwin-2level/Apache2/Apache/Cookie.pm
>
> 3) And in Cookie.pm:
>
> $VERSION = '2.03-dev';

Hi Fred -

Sorry you are having problems installing. Here are my thoughts:

1) First do a perl -V and check the @INC array (at the bottom).

2) Note that your libapreq2 had been installed under Apache2. This
scheme is used to isolate Apache2-specific code from Apache1 code.
On my machine I do not have Apache1 and everything is installed
w/o the Apache2 directory. The 'use Apache2 ();' directive prepends
direcories in the @INC array with Apache2/ (I think). Maybe my
Makefile.PL needs a 'use Apache2 ();' - but I am not sure what will
happen during the make and make install.

3) But first things first. mod_perl 2 was not found also. Did you
make/install it using the same perl version with the same @INC array?
You should back up and check that mod_perl is installed correctly.
Follow the mod_perl 2 docs and do the simple validation test shown in
http://perl.apache.org/docs/2.0/user/intro/start_fast.html#Registry_Scripts.

I've CCed this to the mod_perl list and hopefully we can get some
more intellegent help there.

Aloha => Beau;


-- 
Report problems: http://perl.apache.org/bugs/
Mail list info: http://perl.apache.org/maillist/modperl.html
List etiquette: http://perl.apache.org/maillist/email-etiquette.html


Mime
View raw message